require 'gem2deb/rake/spectask'
require 'gem2deb/rake/testtask'


Gem2Deb::Rake::TestTask.new(:test_all) do |t|
  t.libs = ['test']
  t.test_files = FileList['test/**/*_spec.rb'] + FileList['test/**/test_*.rb']
end


Gem2Deb::Rake::RSpecTask.new(:spec) do |spec|
  spec.pattern = './spec/**/*_spec.rb'
  spec.exclude_pattern = './spec/nanoc/filters/less_spec.rb'
  spec.rspec_opts = '-r ./spec/spec_helper.rb --color'
end


task default: [:test_all, :spec]
